> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Info > Used to get info on a single campaign. Review the [campaign model properties](https://docs.xtremepush.com/reference/campaign-model) page to see the available parameters. ## OpenAPI ````json POST /info/campaign { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/info/campaign": { "post": { "summary": "Info", "description": "Used to get info on a single campaign.\n\nReview the [campaign model properties](https://docs.xtremepush.com/reference/campaign-model) page to see the available parameters.", "operationId": "campaign-info", "deprecated": "false", "requestBody": { "required": "true", "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App Token" }, "id": { "type": "string", "description": "The id of the campaign you are looking for" }, "select": { "type": "array", "description": "Select what params to return, eg. `[\"id\", \"title\", \"text\", \"labels\"]`", "items": { "type": "string" } } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "code": { "type": "integer", "example": "200", "default": "0" }, "success": { "type": "boolean", "example": "true", "default": "true" }, "model": { "type": "object", "properties": { "active": { "type": "integer", "example": "1", "default": "0" }, "text": { "type": "string", "example": "Beacon Entry Test" }, "title": { "type": "string", "example": "Add location via API test" }, "labels": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer", "example": "637", "default": "0" }, "name": { "type": "string", "example": "Tests" } } } } } } } }, "examples": { "Result": { "value": { "code": "200", "success": "true", "model": { "active": "1", "text": "Beacon Entry Test", "title": "Add location via API test", "labels": [ { "id": "637", "name": "Tests" } ] } } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "General error information" }, "errors": { "type": "array", "items": { "type": "object", "properties": { "text": { "type": "array", "items": { "type": "string" } } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "General error information", "errors": [ { "text": [ "Detailed information about the specific error" ] } ] } } } } } }, "404": { "description": "404", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "404", "default": "0" }, "message": { "type": "string", "example": "Not Found" } } }, "examples": { "Result": { "value": { "success": "false", "code": "404", "message": "Not Found" } } } } } } }, "tags": [ "Campaign Methods" ] } } } } ````